# JsDoc Reference - CeL.code.debug

Class Index | File Index

## Classes

- _global_
- CeL
- CeL.code.API
- CeL.code.compatibility
- CeL.code.debug
- CeL.code.log
- CeL.code.reorganize
- CeL.data
- CeL.data.CSV
- CeL.data.XML
- CeL.env
- CeL.IO.file
- CeL.IO.Windows.file
- CeL.locale
- CeL.math
- CeL.math.Hamming
- CeL.math.polynomial
- CeL.math.quotient
- CeL.misc.check
- CeL.native
- CeL.net
- CeL.net.Ajax
- CeL.net.form.address
- CeL.net.form.bank_account
- CeL.net.form.education
- CeL.net.form.select_input
- CeL.net.HTA
- CeL.net.map
- CeL.net.SVG
- CeL.net.web
- CeL.OS.Windows
- CeL.OS.Windows.job
- CeL.OS.Windows.registry
- CeL.OS.WMI

# Class CeL.code.debug

code.debug 的 functions
Defined in: debug.origin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CeL.code.debug() null module constructor

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CeL.code.debug.JSalert(message, wait, title, type) 顯示訊息視窗 alert() 改用VBScript的MsgBox可產生更多效果，但NS不支援的樣子。

Class Detail
CeL.code.debug()
null module constructor
Method Detail
<static> {Integer} CeL.code.debug.JSalert(message, wait, title, type)
顯示訊息視窗
alert() 改用VBScript的MsgBox可產生更多效果，但NS不支援的樣子。

Parameters:
message
  message or object
{Number} wait Optional
  the maximum length of time (in seconds) you want the pop-up message box displayed.
{String} title Optional
  title of the pop-up message box.
{Number} type Optional
  type of buttons and icons you want in the pop-up message box.

Returns:
  {Integer} number of the button the user clicked to dismiss the message box.

Requires:
  CeL.get_script_name

See:
  Popup Method

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Aug 05 2011 17:45:23 GMT+0800 (CST)